Subject: Re: [PATCH v5 0/3] completion: sparse-checkout updates

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 04 Feb 2022 05:21:26 +0100

On Thu, Feb 03 2022, Lessley Dennington wrote:

> On 2/3/22 3:59 PM, Lessley Dennington wrote:
>> 
>> On 2/3/22 3:28 PM, Junio C Hamano wrote:
>>> Lessley Dennington <[email-masked]> writes:
>>>
>>>> On 2/3/22 1:48 PM, Junio C Hamano wrote:
>>>>> "Lessley Dennington via GitGitGadget" <[email-masked]>
>>>>> writes:
>>>>>
>>>>>> This series is based on en/sparse-checkout-set.
>>>>> This has been a very helpful note, but after the topic was merged to
>>>>> 'master' on Jan 3rd, it has become a tad stale.  Let me apply the
>>>>> topic directly on v2.35.0 instead.
>>>>> Thanks.
>>>>
>>>> Thank you for the heads up! I will remove from future versions.
>>>
>>> No problem.
>>>
>>> FWIW, the tip of 'seen' seems to be failing the CI; I haven't looked
>>> into the cause of the breakage.
>>>
>>>    https://github.com/git/git/actions/runs/1792151138
>>>
>>> There is another CI job running on 'seen', whose only difference from
>>> the above version is that this topic has been temporarily ejected:
>>>
>>>    https://github.com/git/git/actions/runs/1792296432
>>>
>>> We'll see if that fails the same way (in which this topic may not
>>> have anything to do with the breakage) or if it passes.
>>>
>>> Thanks.
>> I just merged seen locally and was able to repro the failure. I will
>> submit a fix ASAP.
>
> GitGitGadget CI has passed with the fix, but it is not responding to the
> /submit command. As a heads up, fix may not be submitted until folks who
> are a bit more knowledgeable about GGG than I are available to help
> troubleshoot.

Just an FYI: If you're blocked on GGG it takes 1 minute to click through
to generate an app password for your GMail account.

Then you can use it with git-send-email with config like e.g. this one
I've got:
    
    $ git config -l|grep -F sendemail.|perl -pe 's/pass=\K.*/WORD/g'
    sendemail.smtpserver=smtp.gmail.com
    sendemail.smtpencryption=ssl
    sendemail.smtpuser=[email-masked]
    sendemail.confirm=always
    sendemail.smtppass=WORD
    sendemail.xmailer=true
    sendemail.to=[email-masked]
    sendemail.security.to=[email-masked]
    sendemail.test.to=[email-masked]

Then you can submit your patches with git-format-patch + git-send-email.